DNS API-Referenz
v1.10.0
Create DNS record
Create a new DNS record and automatically detect the zone based on the
fqdn specified in the name parameter.POST
/dns/rr
ResourceRecords
Authentifizierung
Request Body
Data object for the record
recordRequestFQDNrecordRequestFQDN
{
"type": "A",
"name": "api.example.com.",
"data": "203.0.113.10",
"ttl": 300
}Felder
Name
Typ
Format
Pflicht
Description
type
string
-
Pflicht
-
name
string
-
Pflicht
Fully Qualified Domain Name (FQDN, ending with a period).
ttl
integer
-
Optional
Time To Live in seconds (60-86400)
annotation
string
-
Optional
A custom note for this particular record.
data
string
-
Pflicht
-
Request-Beispiel
POST
curl --request POST \
--url 'https://api.regfish.com/dns/rr' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"type": "A",
"name": "api.example.com.",
"data": "203.0.113.10",
"ttl": 300
}'Responses
200
The record created, with its new ID
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12",
"id": 1,
"auto": true,
"active": true,
"ts_created": 1,
"ts_updated": 1
}
}400
Invalid request
Response-Beispiel 400
{
"success": false,
"message": "Invalid request",
"error": "Invalid request"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
No matching DNS zone found
Response-Beispiel 404
{
"success": false,
"message": "No matching DNS zone found",
"error": "No matching DNS zone found"
}417
DNS record creation violates a zone constraint
Response-Beispiel 417
{
"success": false,
"message": "DNS record creation violates a zone constraint",
"error": "DNS record creation violates a zone constraint"
}429
Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.
Response-Beispiel 429
{
"success": false,
"message": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.",
"error": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint."
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Verwandte Modelle
A
A
AAAA
AAAA
ALIAS
ALIAS
baseResult
baseResult
CAA
CAA
CNAME
CNAME
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
fqdn_or_subdomain
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
HINFOStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
ipv4
ipv4
ipv6
ipv6
MX
MX
NAPTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
NSStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
PTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
record
record
recordRequestFQDN
recordRequestFQDN
recordResponse
recordResponse
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqRRID
recordResponseAdditionalReqRRID
recordResponseAdditionalState
recordResponseAdditionalState
recordStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
recordType
recordType
recordTypeStored
recordTypeStored
RPStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
rrid
Resource Record ID
SRV
SRV
TLSA
TLSA
ttl
Time To Live in seconds (60-86400)
TXT
TXT
type
type
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.